Subject: Re: bug#36754: SSH connections to hydra-slave{1, 2, 3} fail during builds

From: Mark H Weaver <[email-masked]>
Date: Wed, 24 Jul 2019 07:09:38 -0400

Hi Ludovic,

Ludovic Courtès <[email-masked]> wrote:
> I noticed that connections to the machines were unstable (using
> OpenSSH’s client).  That is, the connection would eventually “hang”,
> apparently several times a day.
>
> Currently we have an SSH tunnel set up on berlin to connect to each of
> these machines via overdrive1.guixsd.org.  This setup proved to be
> robust in the past (we used it to connect to another build machine), so
> I suspect something’s wrong on “your” end of the network.  It’s hard to
> tell exactly what, though.
>
> Ideas?

Okay, I'll look into it.  I'm very busy with something else for the next
couple of days, but I'll try to get to it in the next week.

> If it’s causing build failures, I’m afraid we’ll have to comment out
> those machines from berlin’s machines.scm until we’ve figured it out.

Agreed.

     Thanks,
       Mark